## tsdecrypt 8.0

=== Makefile ===
CC = $(CROSS)$(TARGET)cc
STRIP = $(CROSS)$(TARGET)strip
MKDEP = $(CC) -M -o $*.d $<
RM = rm -f
MV = mv -f

BUILD_ID = $(shell date +%F_%R)
VERSION = $(shell cat RELEASE)
GIT_VER = $(shell git describe --tags --dirty --always 2>/dev/null)
ifeq "$(GIT_VER)" ""
GIT_VER = "release"
endif

ifndef V
Q = @
endif

CFLAGS ?= -O2 -ggdb \
 -W -Wall -Wextra \
 -Wshadow -Wformat-security -Wstrict-prototypes

DEFS = -DBUILD_ID=\"$(BUILD_ID)\" \
 -DVERSION=\"$(VERSION)\" -DGIT_VER=\"$(GIT_VER)\"

PREFIX ?= /usr/local

INSTALL_PRG = tsdecrypt
INSTALL_PRG_DIR = $(subst //,/,$(DESTDIR)/$(PREFIX)/bin)

INSTALL_DOC = tsdecrypt.1
INSTALL_DOC_DIR = $(subst //,/,$(DESTDIR)/$(PREFIX)/man/man1)

FUNCS_DIR = libfuncs
FUNCS_LIB = $(FUNCS_DIR)/libfuncs.a

TS_DIR = libtsfuncs
TS_LIB = $(TS_DIR)/libtsfuncs.a

tsdecrypt_SRC = data.c \
 csa.c \
 udp.c \
 util.c \
 camd.c \
 camd-cs378x.c \
 camd-newcamd.c \
 process.c \
 tables.c \
 notify.c \
 tsdecrypt.c
tsdecrypt_LIBS = -lcrypto -lpthread

# If the file do not exist, libdvbcsa will be used
-include FFdecsa.opts

tsdecrypt_OBJS = $(FFDECSA_OBJ) $(FUNCS_LIB) $(TS_LIB) $(tsdecrypt_SRC:.c=.o)

ifeq "$(shell uname -s)" "Linux"
tsdecrypt_LIBS += -lcrypt -lrt
endif

ifeq "$(DECRYPT_LIB)" "ffdecsa"
DEFS += -DDLIB=\"FFdecsa_$(FFDECSA_MODE)\"
DEFS += -DUSE_FFDECSA=1
else
DEFS += -DDLIB=\"libdvbcsa\"
DEFS += -DUSE_LIBDVBCSA=1
tsdecrypt_LIBS += -ldvbcsa
endif

CLEAN_OBJS = $(FFDECSA_OBJ) tsdecrypt $(tsdecrypt_SRC:.c=.{o,d})

PROGS = tsdecrypt

.PHONY: ffdecsa dvbcsa help distclean clean install uninstall

all: $(PROGS)

ffdecsa: clean
	$(Q)echo "Switching build to FFdecsa."
	@-if test -e FFdecsa.opts.saved; then $(MV) FFdecsa.opts.saved FFdecsa.opts; fi
	@-if ! test -e FFdecsa.opts; then ./FFdecsa_init "$(CROSS)$(TARGET)" "$(CC)"; fi
	$(Q)$(MAKE) -s tsdecrypt

ffdecsa_force:
	$(Q)$(RM) FFdecsa.opts
	$(Q)$(MAKE) -s ffdecsa

dvbcsa: clean
	$(Q)echo "Switching build to libdvbcsa."
	@-if test -f FFdecsa.opts; then $(MV) FFdecsa.opts FFdecsa.opts.saved; fi
	$(Q)$(MAKE) -s tsdecrypt

$(FUNCS_LIB): $(FUNCS_DIR)/libfuncs.h
	$(Q)echo "  MAKE	$(FUNCS_LIB)"
	$(Q)$(MAKE) -s -C $(FUNCS_DIR)

$(TS_LIB): $(TS_DIR)/tsfuncs.h $(TS_DIR)/tsdata.h
	$(Q)echo "  MAKE	$(TS_LIB)"
	$(Q)$(MAKE) -s -C $(TS_DIR)

tsdecrypt: $(tsdecrypt_OBJS)
	$(Q)echo "  LINK	tsdecrypt"
	$(Q)$(CC) $(CFLAGS) $(DEFS) $(tsdecrypt_OBJS) $(tsdecrypt_LIBS) -o tsdecrypt

%.o: %.c RELEASE
	@$(MKDEP)
	$(Q)echo "  CC	tsdecrypt	$<"
	$(Q)$(CC) $(CFLAGS) $(DEFS) -c $<

FFdecsa/FFdecsa.o:
	$(Q)echo "  MAKE	FFdecsa"
	$(Q)$(MAKE) -s -C FFdecsa FLAGS=$(FFDECSA_FLAGS) PARALLEL_MODE=$(FFDECSA_MODE) COMPILER=$(CROSS)$(CC) FFdecsa.o

-include $(tsdecrypt_SRC:.c=.d)

strip:
	$(Q)echo "  STRIP	$(PROGS)"
	$(Q)$(STRIP) $(PROGS)

clean:
	$(Q)echo "  RM	$(CLEAN_OBJS)"
	$(Q)$(RM) $(CLEAN_OBJS)

distclean: clean
	$(Q)$(MAKE) -s -C $(TS_DIR) clean
	$(Q)$(MAKE) -s -C $(FUNCS_DIR) clean
	$(Q)$(RM) FFdecsa.opts

install: all strip
	@install -d "$(INSTALL_PRG_DIR)"
	@install -d "$(INSTALL_DOC_DIR)"
	@echo "INSTALL $(INSTALL_PRG) -> $(INSTALL_PRG_DIR)"
	$(Q)-install $(INSTALL_PRG) "$(INSTALL_PRG_DIR)"
	@echo "INSTALL $(INSTALL_DOC) -> $(INSTALL_DOC_DIR)"
	$(Q)-install --mode 0644 $(INSTALL_DOC) "$(INSTALL_DOC_DIR)"

uninstall:
	@-for FILE in $(INSTALL_PRG); do \
		echo "RM       $(INSTALL_PRG_DIR)/$$FILE"; \
		rm "$(INSTALL_PRG_DIR)/$$FILE"; \
	done
	@-for FILE in $(INSTALL_DOC); do \
		echo "RM       $(INSTALL_DOC_DIR)/$$FILE"; \
		rm "$(INSTALL_DOC_DIR)/$$FILE"; \
	done

help:
	$(Q)echo -e "\
tsdecrypt $(VERSION) ($(GIT_VER)) build\n\n\
Build targets:\n\
  tsdecrypt|all   - Build tsdecrypt with whatever decryption library was chosen\n\
\n\
  dvbcsa          - Build tsdecrypt with libdvbcsa [default]\n\
  ffdecsa         - Build tsdecrypt with shipped FFdecsa.\n\
\n\
  install         - Install tsdecrypt in PREFIX ($(PREFIX))\n\
  uninstall       - Uninstall tsdecrypt from PREFIX\n\
\n\
Cleaning targets:\n\
  clean           - Remove tsdecrypt generated files but keep the decryption\n\
                    library config\n\
  distclean       - Remove all generated files and reset decryption library to\n\
                    dvbcsa.\n\
\n\
  make V=1          Enable verbose build\n\
  make PREFIX=dir   Set install prefix\n"

=== libfuncs/Makefile ===
CC = $(CROSS)$(TARGET)gcc
LINK = $(CROSS)$(TARGET)ld -o
MKDEP = $(CC) -M -o $*.d $<

LIBRARY_LINK_OPTS =  -L. -r
CFLAGS = -O2 -ggdb -std=c99 -D_GNU_SOURCE
CFLAGS += -Wall -Wextra -Wshadow -Wformat-security -Wstrict-prototypes
RM = /bin/rm -f
Q=@

OBJS = queue.o list.o cbuf.o io.o log.o http_response.o asyncdns.o \
       server.o misc.o

PROG = libfuncs.a

all: $(PROG)

$(PROG): $(OBJS) 
	$(Q)echo "  LINK	$(PROG)"
	$(Q)$(LINK) $@ $(LIBRARY_LINK_OPTS) $(OBJS)

%.o: %.c libfuncs.h
	@$(MKDEP)
	$(Q)echo "  CC	libfuncs	$<"
	$(Q)$(CC) $(CFLAGS) -c $<

-include $(OBJS:.o=.d)

clean:
	$(Q)echo "  RM	$(PROG) $(OBJS:.o=.{o,d})"
	$(Q)$(RM) $(PROG) $(OBJS:.o=.{o,d}) *~

distclean: clean

=== libtsfuncs/Makefile ===
CC = $(CROSS)$(TARGET)gcc
LINK = $(CROSS)$(TARGET)ld -o
MKDEP = $(CC) -M -o $*.d $<

LIBRARY_LINK_OPTS =  -L. -r
CFLAGS = -O2 -ggdb -std=c99 -D_GNU_SOURCE
CFLAGS += -Wall -Wextra -Wshadow -Wformat-security -Wstrict-prototypes
RM = /bin/rm -f
Q=@

OBJS = log.o tsfuncs.o crc.o misc.o time.o \
	sections.o secdata.o \
	descs.o \
	pat.o pat_desc.o \
	cat.o \
	pmt.o \
	nit.o nit_desc.o \
	sdt.o sdt_desc.o \
	eit.o eit_desc.o \
	tdt.o tdt_desc.o \
	pes.o pes_data.o \
	pes_es.o \
	privsec.o
PROG = libtsfuncs.a

tstest_OBJS = tstest.o libtsfuncs.a
all: $(PROG)

$(PROG): $(OBJS) tsdata.h tsfuncs.h
	$(Q)echo "  LINK	$(PROG)"
	$(Q)$(LINK) $@ $(LIBRARY_LINK_OPTS) $(OBJS)

tstest: $(tstest_OBJS)
	$(Q)echo "  LINK	tstest"
	$(Q)$(CC) $(CFLAGS) $(tstest_OBJS) -o tstest

%.o: %.c tsdata.h tsfuncs.h
	@$(MKDEP)
	$(Q)echo "  CC	libtsfuncs	$<"
	$(Q)$(CC) $(CFLAGS) -c $<

-include $(OBJS:.o=.d)

clean:
	$(Q)echo "  RM	$(PROG) $(OBJS:.o=.{o,d})"
	$(Q)$(RM) $(PROG) tstest $(OBJS:.o=.{o,d}) *~

distclean: clean

=== debian/changelog ===
tsdecrypt (8.0-2) unstable; urgency=low

  * Make 'postrm remove' and 'postrm disappear' remove the
    /usr/bin/tsdecrypt alternative (Closes: #668971).
  * Don't remove the alternative on 'prerm deconfigure' to
    preserve user configuration.

 -- Alessio Treglia <alessio@debian.org>  Mon, 16 Apr 2012 18:46:50 +0200

tsdecrypt (8.0-1) unstable; urgency=low

  * New upstream release:
    - Add --biss-key (-Q) option. This option enables BISS decryption.
    - Add FFdecsa support. In most cases FFdecsa decrypts faster than
      libdvcsa.
    - Add --const-cw (-Y) option. This option allows using of constant
      code word for decryption.
    - Display better timing information for ECMs and code word changes.
    - Filter special symbols in provider and service names before
      printing them.
  * debian/patches/1001-dont_strip_binaries.patch:
    - Don't install stripped binaries.
  * debian/patches/1002-bashisms.patch:
    - Fix bashism to prevent FTBFS.
  * Refresh other patches.
  * Compile tsdecrypt twice, one per library:
    - tsdecrypt_dvbcsa uses libdvbcsa's decrypting routines
    - tsdecrypt_ffdecsa uses FFdecsa's decrypting routines
  * Install alternatives to let users choose which CSA decrypting
    library is appropriate for them.
  * Install manpages.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sun, 15 Apr 2012 12:54:23 +0200

tsdecrypt (7.0-1) unstable; urgency=low

  * Initial release. (Closes: #667461)

 -- Alessio Treglia <alessio@debian.org>  Wed, 04 Apr 2012 09:42:43 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX  := /usr
export DESTDIR := $(CURDIR)/debian/tsdecrypt

%:
	dh $@

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_install:
	# Build with FFdecsa
	$(MAKE) ffdecsa
	mv tsdecrypt tsdecrypt_ffdecsa
	$(MAKE) distclean
	# Build against libdvbcsa
	$(MAKE)
	mv tsdecrypt tsdecrypt_dvbcsa
	# Install binaries
	cd $(DESTDIR) && mkdir -p usr/bin
	install tsdecrypt_ffdecsa tsdecrypt_dvbcsa \
		$(DESTDIR)/usr/bin

## tsdecrypt 8.1

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 INSTALL_PRG_DIR = $(subst //,/,$(DESTDIR)/$(PREFIX)/bin)
 
 INSTALL_DOC = tsdecrypt.1
-INSTALL_DOC_DIR = $(subst //,/,$(DESTDIR)/$(PREFIX)/man/man1)
+INSTALL_DOC_DIR = $(subst //,/,$(DESTDIR)/$(PREFIX)/share/man/man1)
 
 FUNCS_DIR = libfuncs
 FUNCS_LIB = $(FUNCS_DIR)/libfuncs.a
@@ -67,7 +67,7 @@
 tsdecrypt_LIBS += -ldvbcsa
 endif
 
-CLEAN_OBJS = $(FFDECSA_OBJ) tsdecrypt $(tsdecrypt_SRC:.c=.{o,d})
+CLEAN_OBJS = $(FFDECSA_OBJ) tsdecrypt $(tsdecrypt_SRC:.c=.o) $(tsdecrypt_SRC:.c=.d)
 
 PROGS = tsdecrypt
 
@@ -126,7 +126,7 @@
 	$(Q)$(MAKE) -s -C $(FUNCS_DIR) clean
 	$(Q)$(RM) FFdecsa.opts
 
-install: all strip
+install: all
 	@install -d "$(INSTALL_PRG_DIR)"
 	@install -d "$(INSTALL_DOC_DIR)"
 	@echo "INSTALL $(INSTALL_PRG) -> $(INSTALL_PRG_DIR)"

=== debian/changelog ===
tsdecrypt (8.1-1) unstable; urgency=low

  * New upstream release.
  * Remove all patches, applied upstream.
  * Explicitly build with "make dvbcsa" when building with libdvbcsa.
  * debian/copyright:
    - Some code are GPL-2 only, not GPL-2+.
    - Fix reference to GPL-2 license file.

 -- Alessio Treglia <alessio@debian.org>  Mon, 30 Apr 2012 02:47:10 +0200

=== debian/control ===
Source: tsdecrypt
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 libdvbcsa-dev,
 libssl-dev
Standards-Version: 3.9.3
Homepage: http://georgi.unixsol.org/programs/tsdecrypt/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/tsdecrypt.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/tsdecrypt.git

Package: tsdecrypt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: decrypt MPEG transport stream
 tsdecrypt reads incoming MPEG transport stream over UDP/RTP and
 then decrypts it using libdvbcsa and keys obtained from OSCAM or
 similar cam server. tsdecrypt communicates with CAM server using
 cs378x (camd35 over tcp) protocol or newcamd protocol.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	mv tsdecrypt tsdecrypt_ffdecsa
 	$(MAKE) distclean
 	# Build against libdvbcsa
-	$(MAKE)
+	$(MAKE) dvbcsa
 	mv tsdecrypt tsdecrypt_dvbcsa
 	# Install binaries
 	cd $(DESTDIR) && mkdir -p usr/bin

## tsdecrypt 9.0

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 
 DEFS = -DBUILD_ID=\"$(BUILD_ID)\" \
  -DVERSION=\"$(VERSION)\" -DGIT_VER=\"$(GIT_VER)\"
+DEFS += -D_FILE_OFFSET_BITS=64
 
 PREFIX ?= /usr/local
 
@@ -40,6 +41,7 @@
  csa.c \
  udp.c \
  util.c \
+ filter.c \
  camd.c \
  camd-cs378x.c \
  camd-newcamd.c \

=== debian/changelog ===
tsdecrypt (9.0-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Fri, 12 Oct 2012 01:08:09 +0100

## tsdecrypt 10.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CC = $(CROSS)$(TARGET)cc
 STRIP = $(CROSS)$(TARGET)strip
-MKDEP = $(CC) -M -o $*.d $<
+MKDEP = $(CC) -MP -MM -o $*.d $<
 RM = rm -f
 MV = mv -f

=== FFdecsa/Makefile ===
##### compiling with g++ gives a little more speed
#COMPILER=gcc
#COMPILER=g++

###there are two functions which apparently don't want to be inlined
#FLAGS=-O3 -march=athlon-xp -fexpensive-optimizations -funroll-loops -finline-limit=6000000 --param max-unrolled-insns=500
#FLAGS=-O3 -march=athlon-xp -fexpensive-optimizations -funroll-loops --param max-unrolled-insns=500
#FLAGS=-O3 -march=pentium3 -fexpensive-optimizations -funroll-loops

###icc crashes for unknown reasons
#COMPILER=/opt/intel_cc_80/bin/icc
#FLAGS=-O3 -march=pentiumiii

#FLAGS += -g
#FLAGS += -fno-alias
#FLAGS += -vec_report3
#FLAGS += -Wall -Winline
#FLAGS += -fomit-frame-pointer 
#FLAGS += -pg

COMPILER ?= g++
FLAGS    ?= -Wall -fPIC -O3 -march=pentium -mmmx -fomit-frame-pointer -fexpensive-optimizations -funroll-loops

H_FILES = FFdecsa.h parallel_generic.h parallel_std_def.h fftable.h \
          parallel_032_4char.h \
          parallel_032_int.h \
          parallel_064_2int.h \
          parallel_064_8charA.h \
          parallel_064_8char.h \
          parallel_064_long.h \
          parallel_064_mmx.h \
          parallel_128_16charA.h \
          parallel_128_16char.h \
          parallel_128_2long.h \
          parallel_128_2mmx.h \
          parallel_128_4int.h \
          parallel_128_sse2.h \
          parallel_128_sse.h

all: FFdecsa.o FFdecsa_test.done

%.o: %.c
	$(COMPILER) $(FLAGS) -DPARALLEL_MODE=$(PARALLEL_MODE) -c $<

FFdecsa_test:	FFdecsa_test.o FFdecsa.o
	$(COMPILER) $(FLAGS) -o FFdecsa_test FFdecsa_test.o FFdecsa.o

FFdecsa_test.o: FFdecsa_test.c FFdecsa.h FFdecsa_test_testcases.h
FFdecsa.o: 	FFdecsa.c stream.c $(H_FILES)

FFdecsa_test.done: FFdecsa_test
	@./FFdecsa_test
	@touch FFdecsa_test.done

clean:
	@rm -f FFdecsa_test FFdecsa_test.done FFdecsa_test.o FFdecsa.o

test:	FFdecsa_test
	sync;usleep 200000;nice --19 ./FFdecsa_test

=== libfuncs/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 -include $(OBJS:.o=.d)
 
 clean:
-	$(Q)echo "  RM	$(PROG) $(OBJS:.o=.{o,d})"
-	$(Q)$(RM) $(PROG) $(OBJS:.o=.{o,d}) *~
+	$(Q)echo "  RM	$(PROG) $(OBJS:.o=.o) $(OBJS:.o=.d)"
+	$(Q)$(RM) $(PROG) $(OBJS:.o=.o) $(OBJS:.o=.d) *~
 
 distclean: clean

=== libtsfuncs/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 -include $(OBJS:.o=.d)
 
 clean:
-	$(Q)echo "  RM	$(PROG) $(OBJS:.o=.{o,d})"
-	$(Q)$(RM) $(PROG) tstest $(OBJS:.o=.{o,d}) *~
+	$(Q)echo "  RM	$(PROG) $(OBJS) $(OBJS:.o=.d})"
+	$(Q)$(RM) $(PROG) tstest tstest.o tstest.d $(OBJS) $(OBJS:.o=.d) *~
 
 distclean: clean

=== FFdecsa/logic/Makefile ===
all: logic

logic: logic.o
	gcc -o logic logic.o

logic.o: logic.c
	gcc -O3 -march=athlon-xp -c logic.c

clean:
	rm logic *.o

=== debian/changelog ===
tsdecrypt (10.0-5) unstable; urgency=medium

  * Team upload
  * Add debian/salsa-ci.yml
  * Switch to debhelper-compat 10
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Do a fully verbose build, fix BLCH Salsa job

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Dec 2025 18:34:13 +0100

tsdecrypt (10.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depends: libcrypt-dev. (Closes: #1107013)

 -- Adrian Bunk <bunk@debian.org>  Tue, 02 Dec 2025 23:12:41 +0200

tsdecrypt (10.0-4) unstable; urgency=medium

  * Team upload
  * debian/patches: Fix missing #includes.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Mar 2024 19:25:28 +0100

tsdecrypt (10.0-3) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- Bastian Germann <bage@debian.org>  Sun, 24 Sep 2023 16:06:33 +0200

tsdecrypt (10.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Reiner Herrmann ]
  * strip build date to enable reproducible building (Closes: #829713)

  [ Vagrant Cascadian ]
  * debian/rules: Pass default CFLAGS. (Closes: #1022130)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 10 Nov 2022 13:54:44 -0800

tsdecrypt (10.0-2) unstable; urgency=low

  [ Peter Michael Green ]
  * Remove inappropriate compiler flags. (Closes: #730415)
  * Fix clean target.

  [ Alessio Treglia ]
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 24 Feb 2014 14:52:09 +0000

tsdecrypt (10.0-1) unstable; urgency=low

  * New upstream release:
    - Add --ecm-only (-v) option. This allows processing of ECMs but without
      decoding the input stream.
    - Add --ecm-and-emm-only (-q) option. This allows processing of ECMs
      and EMMs but without decoding the input stream.
    - Set newcamd client id to 0x7878 (tsdecrypt).
    - Fixed regression that apeared in 9.0 which prevented the output from
      working if the output address was not multicast.
    - Add support for Griffin CAS and for DGCrypt CAS.
    - Add support for setting multicast source address /SSM/ (--input-source).
    - Add support for EMM filters similar to DVBAPI filters (match + mask).
    - Add support for EMM filters based on section length.
    - Add support for Irdeto CHID filtering (tested with Raduga).
  * Statically set DESTDIR and PREFIX in debian/rules to fix prevent build
    failures (Closes: #713528). Fix path creation too.
  * Use canonical form for VCS urls.
  * Update copyright holder info for Debian packaging, remove Comment field
    from License stanzas.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 03 Oct 2013 15:50:12 +0100

=== debian/control ===
Source: tsdecrypt
Section: video
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper-compat (= 10),
 libcrypt-dev,
 libdvbcsa-dev,
 libssl-dev
Standards-Version: 4.7.3
Homepage: http://georgi.unixsol.org/programs/tsdecrypt/
Vcs-Git: https://salsa.debian.org/multimedia-team/tsdecrypt.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/tsdecrypt

Package: tsdecrypt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: decrypt MPEG transport stream
 tsdecrypt reads incoming MPEG transport stream over UDP/RTP and
 then decrypts it using libdvbcsa and keys obtained from OSCAM or
 similar cam server. tsdecrypt communicates with CAM server using
 cs378x (camd35 over tcp) protocol or newcamd protocol.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
export DESTDIR=$(CURDIR)/debian/tsdecrypt
export V=1

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:

override_dh_auto_install:
	# Build with FFdecsa
	$(MAKE) V=1 CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" ffdecsa
	mv tsdecrypt tsdecrypt_ffdecsa
	$(MAKE) distclean
	# Build against libdvbcsa
	$(MAKE) V=1 CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" dvbcsa
	mv tsdecrypt tsdecrypt_dvbcsa
	# Install binaries
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install tsdecrypt_ffdecsa tsdecrypt_dvbcsa \
		$(DESTDIR)$(PREFIX)/bin

execute_after_dh_auto_clean:
	rm -f FFdecsa_build_PARALLEL_*.log
